Subject: Re: IPv10, KRP, and RRP IDs Removal.

From: Alexa Morris <[email-masked]>
Date: Tue, 6 Jun 2017 10:45:52 -0700

Khaled,

The IESG has denied your request to remove your Internet-Draft. There is no legal right to remove your Internet-Draft from the I-D repository. Draft draft-omar-krp-01 contains the statement "This Internet-Draft is submitted in full conformance with the provisions of BCP 78 and BCP 79.” The complete text of BCP 78 is can be found at https://datatracker.ietf.org/doc/rfc5378 <https://datatracker.ietf.org/doc/rfc5378> but I will specifically point out section 5.3, below:

"5.3.  Rights Granted by Contributors to the IETF Trust

To the extent that a Contribution or any portion thereof is protected by copyright or other rights of authorship, the Contributor and each named co-Contributor grant a perpetual, irrevocable, non-exclusive, royalty-free, world-wide, sublicensable right and license to the IETF Trust under all such copyrights and other rights in the Contribution:

a. to copy, publish, display, and distribute the Contribution, in whole or in part,

b. to prepare translations of the Contribution into languages other than English, in whole or in part, and to copy, publish, display, and distribute such translations or portions thereof,

c. to modify or prepare derivative works (in addition to translations) that are based on or incorporate all or part of the Contribution, and to copy, publish, display, and distribute such derivative works, or portions thereof unless explicitly disallowed in the notices contained in a Contribution (in the form specified by the Legend Instructions), and

d. to reproduce any trademarks, service marks, or trade names which are included in the Contribution solely in connection with the  reproduction, distribution, or publication of the Contribution and derivative works thereof as permitted by this Section 5.3, provided that when reproducing Contributions, trademark and service mark identifiers used in the Contribution, including TM and (R), will be preserved."

By submitting an Internet-Draft to the IETF, you have granted the IETF Trust perpetual, irrevocable rights to publish it. I regret to inform you that you cannot retract these rights. However, provided that you do not submit a new version of the draft, it will expire on November 8, 2017 and at that point will no longer appear as an active Internet-Draft.

Regards,

Alexa  
IETF Executive Director

> On May 26, 2017, at 9:02 AM, Khaled Omar <[email-masked]> wrote:
> 
> Hi,
> 
>> The drafts should not be removed. The IESG has not identified any unusual circumstances (e.g., mistaken claims of authorship or allegations of draft content violating the law) that warrant removal of these drafts.
> 
> I didn't mention any reason for the request to remove my uploaded IDs, I'm the only author of these drafts, I made a request 6 months ago for uploading the 1st draft (IPv10) and now I'm requesting to remove them all, I'm not requesting someone else draft removal, the mentioned IDs are not of interest of the ietf members or participants, no reviewer(s) assigned officially for them, no wg created, and there was even no respect for the remote presentation where the microphone was muted during the presentation and didn't get the chance to continue the IPv10 presentation, this is one of the main reasons I asked for removing, they must not represent the ietf anymore.
> 
> We shouldn't wait for the drafts to be expired and be useless as I'll not update them again on the ietf repository.
> 
> Again, I repeat my request with full respect to all ietf and iesg members to remove my drafts and they must not be stored without informing the author of these drafts, full removal requested and nothing bad with it.
> 
> Regards,
> 
> Khaled Omar
> 
> 
> -----Original Message-----
> From: Alexa Morris [mailto:[email-masked]] 
> Sent: Friday, May 26, 2017 5:03 PM
> To: Khaled Omar
> Cc: [email-masked]
> Subject: Re: IPv10, KRP, and RRP IDs Removal.
> 
> Khaled,
> 
> The IESG has reviewed your request and the drafts will not be removed. Their response directly below:
> 
> ---------
> Alexa,
> 
> The drafts should not be removed. The IESG has not identified any unusual circumstances (e.g., mistaken claims of authorship or allegations of draft content violating the law) that warrant removal of these drafts.
> 
> Regards,
> The IESG
> 
> --------
> On May 22, 2017, at 5:54 PM, Khaled Omar <[email-masked]> wrote:
> 
>> As mentioned in the provided link:
>> 
>> "Internet-Drafts have no formal status, and are subject to change or removal at any time."
>> 
>>> which explains that IESG consensus is required in order to remove an Internet Draft from the I-D Repository.
>> 
>> From today's date till reaching this consensus for removal, these IDs shouldn't be discussed or published by the ietf on any meeting or any official event as the contents are not representing the ietf anymore after this date.
>> 
>> I'm waiting for the IESG response ... I hope they can make a decision soon.
>> 
>> "When an I-D is removed from the Public I-D Archive, a copy will be kept in a location accessible by the IETF Secretariat."
>> 
>> This of course doesn't gives the ietf the right of making any usage of these I-Ds after its removal.
>> 
>> 
>> 
>> -----Original Message-----
>> From: Alexa Morris [mailto:[email-masked]]
>> Sent: Tuesday, May 23, 2017 2:27 AM
>> To: Khaled Omar
>> Cc: Ole J. Jacobsen; [email-masked]
>> Subject: Re: IPv10, KRP, and RRP IDs Removal.
>> 
>> Khaled,
>> 
>> The IESG has published a statement on this topic. Please see "IESG Statement on Removal of an Internet-Draft from the IETF Web Site" at https://www.ietf.org/iesg/statement/removal-of-an-internet-draft.html, which explains that IESG consensus is required in order to remove an Internet Draft from the I-D Repository.
>> 
>> I have forwarded your email to the IESG for their review. Please be patient as it will take at least several days for them to review and respond to this request. 
>> 
>> Regards,
>> Alexa
>> 
>> On May 22, 2017, at 7:09 PM, Khaled Omar <[email-masked]> wrote:
>> 
>>> I'm the only author of the listed IDs and they are submitted individually, I made this removal request and these IDs must not be stored on the ietf database anymore and the ietf representation must not exist after the request date and time which is 23rd of May, 2017 at 1:00 PM GMT+02:00.
>>> 
>>> -----Original Message-----
>>> From: Ole Jacobsen [mailto:[email-masked]]
>>> Sent: Tuesday, May 23, 2017 1:02 AM
>>> To: Khaled Omar
>>> Subject: Re: IPv10, KRP, and RRP IDs Removal.
>>> 
>>> 
>>> You really have no idea how the IETF works, do you?
>>> 
>>> 
>>> On Mon, 22 May 2017, Khaled Omar wrote:
>>> 
>>>> Hi Jasmine,
>>>> 
>>>> As I'm the only author of the following IDs:
>>>> 
>>>> 
>>>> 1) Internet Protocol version 10 (IPv10): 
>>>> https://datatracker.ietf.org/doc/draft-omar-ipv10/
>>>> 
>>>> 
>>>> 2) KHALED Routing Protocol (KRP): 
>>>> https://datatracker.ietf.org/doc/draft-omar-krp/
>>>> 
>>>> 
>>>> 3) Regional Routing Protocol (RRP): 
>>>> https://datatracker.ietf.org/doc/draft-omar-rrp/
>>>> 
>>>> 
>>>> Please remove them all from the ietf database or repository.
>>>> 
>>>> If the ideas explained on these drafts will be used, discussed or 
>>>> published by the ietf, legal actions will be taken.
>>>> 
>>>> Regards,
>>>> 
>>>> Khaled Omar
>>>> 
>>> 
>> 
>> ----------
>> Alexa Morris / Executive Director / IETF
>> +1.510.492.4001
>> Email: [email-masked]
>> 
>> 
>> 
> 
> ----------
> Alexa Morris / Executive Director / IETF
> +1.510.492.4001
> Email: [email-masked]
> 
> 
>